let danmuList = [

]

const getRandom = (min, max) => parseInt(Math.random() * (max - min + 1)) + min

const danmuTest = {
    screen: null,
    handler: null,
    dom: {
        sendDanmu: document.querySelector('#sendDanmu'),
    },
    init(trackHeight, speed) {
        this.eventInit();
        this.screen = new BulletJs('.danmaku-container .barrager', {
            trackHeight: trackHeight || 40,
            speed: speed || 35,
            pauseOnClick: true,
            pauseOnHover: false,
            // duration: '10s'
        });
        this.sendDanmu();
    },
    sendDanmu() {
        this.sendAction();
    },
    sendAction() {
        this.handler = setInterval(() => {
            const index = getRandom(0, 10);
            const str = danmuList[index];
            const dom = `<span>${str}</span>`
            this.screen.push(dom)
        }, 500);
    },

    eventInit() {

    }
}



function buildDanmaku({
    api, trackHeight, speed
}) {
    $('head').append(
        '<link rel="stylesheet" href="https://www.sznews.com/2021/danmaku/danmaku-src/danmaku.min.css">'
    )
    $('.danmaku-container').append(`
        <div class="barrager"></div>
        <div class="addBarrager">
            <textarea class="textarea barVal" placeholder="说两句吧..."></textarea>
            <div class="submit">特区我想对你说</div>
        </div>
    `)

    $.get({
        url: `https://v1.sznews.com/vote/${api}/listApi/CompanyList.aspx`,
        success(res) {
            console.log(danmuList);
            var arr = JSON.parse(res);
            console.log(arr);
            for (let i = 0; i < arr.length; i++) {
                danmuList.push(arr[i].text);
            }
            danmuTest.init(trackHeight, speed);
        }
    })

    $('.danmaku-container .submit').on('click', function () {
        var _this = $('.danmaku-container .textarea');
        if (_this.val() == "") {
            alert("说出你的故事吧");
            return false;
        };
        $.post(
            `https://v1.sznews.com/vote/${api}/listApi/GetWxState.aspx`,
            { content_wall: _this.val() },
            function (res) {
                res = JSON.parse(res)
                alert(res.statusMessage)
            })
        

            _this.val("");
    })



}